petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexComputeCellGeometryAffineFEM

Assuming an affine map, compute the Jacobian, inverse Jacobian, and Jacobian determinant for a given cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeCellGeometryAffineFEM(DM dm, PetscInt cell, PetscReal *v0, PetscReal *J, PetscReal *invJ, PetscReal *detJ)

Collective on DM Many br

### Input Arguments

| dm | - the DM Many br
| cell | - the cell Many br

### Output Arguments

| v0 | - the translation part of this affine transform Many br
| J | - the Jacobian of the transform from the reference element Many br
| invJ | - the inverse of the Jacobian Many br
| detJ | - the Jacobian determinant Many br

Many br

### Fortran Notes

Since it returns arrays, this routine is only available in Fortran 90, and you must Many brinclude petsc.h90 in your code. Many br

### See Also

DMPlexComputeCellGeometryFEM(), DMGetCoordinateSection(), DMGetCoordinateVec()

Level:advanced
Location:src/dm/impls/plex/plexgeometry.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages